"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _reactScrollbarSize = _interopRequireDefault(require("react-scrollbar-size"));

var _Appbar = _interopRequireDefault(require("react-native-styled-paper/components/Appbar"));

var _AuthorizedUserMenu = _interopRequireDefault(require("../AuthorizedUserMenu"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const HeaderContainer = _styledComponents.default.div({
  zIndex: 3
});

const defaultProps = {
  isUserIconCircle: true
};

const SimpleHeader = props => {
  const {
    title,
    backButtonIcon,
    onBackButtonClick,
    children,
    loggedInUser,
    isUserIconCircle
  } = props;
  const {
    width: scrollbarSize
  } = (0, _reactScrollbarSize.default)();

  const _handleBackActionPress = () => {
    if (typeof onBackButtonClick === "function") {
      onBackButtonClick();
    }
  };

  return /*#__PURE__*/React.createElement(HeaderContainer, {
    style: {
      marginRight: scrollbarSize || 0
    }
  }, /*#__PURE__*/React.createElement(_Appbar.default.Header, null, /*#__PURE__*/React.createElement(_Appbar.default.BackAction, {
    icon: backButtonIcon,
    onPress: _handleBackActionPress
  }), /*#__PURE__*/React.createElement(_Appbar.default.Content, {
    title: title
  }), children, /*#__PURE__*/React.createElement(_AuthorizedUserMenu.default, {
    circle: isUserIconCircle,
    loggedInUser: loggedInUser
  })));
};

SimpleHeader.defaultProps = defaultProps;
var _default = SimpleHeader;
exports.default = _default;
//# sourceMappingURL=SimpleHeader.js.map